local Base = require "gamecore.modules.world.actors.actor2D"
local Parent = Base:extend()

function Parent:new(world, type, x, y, w, h)
  self.scene = world.scene
  Parent.super.new(self, world, type, x, y, w, h)
end

function Parent:update(dt)

end

function Parent:draw()
  love.graphics.rectangle("fill", self.x, self.y, self.w, self.h)
end

return Parent
